# Uses of Class
org.eclipse.osgi.service.resolver.DisabledInfo

Packages that use DisabledInfo
Package
Description
org.eclipse.osgi.service.resolver
Provides the Equinox resolver API.

## Uses of DisabledInfo in org.eclipse.osgi.service.resolver

Methods in org.eclipse.osgi.service.resolver that return DisabledInfo
Modifier and Type
Method
Description
`DisabledInfo`
State.`getDisabledInfo(BundleDescription bundle, String policyName)`
Returns the disabled info for the specified bundle with the specified policy name.
`DisabledInfo[]`
State.`getDisabledInfos(BundleDescription bundle)`
Returns an array of disabled info for the specified bundle.
Methods in org.eclipse.osgi.service.resolver with parameters of type DisabledInfo
Modifier and Type
Method
Description
`void`
PlatformAdmin.`addDisabledInfo(DisabledInfo disabledInfo)`
Adds the disabled info to the state managed by this platform admin.
`void`
State.`addDisabledInfo(DisabledInfo disabledInfo)`
Adds the disabled info to this state.
`void`
PlatformAdmin.`removeDisabledInfo(DisabledInfo disabledInfo)`
Removes the disabled info from the state managed by this platform admin.
`void`
State.`removeDisabledInfo(DisabledInfo disabledInfo)`
Removes the disabled info from the state.